@echo off
cls
echo 
echo Metroid X V1.0 Installer 
echo 

if not exist "metroid.nes" echo METROID.NES ROM not found!
if not exist "metroidx.ips" echo METROIDX.IPS patch not found!
if not exist "ucon.exe" echo UCON.EXE program not found!
if not exist "metroid.nes" goto ABORT
if not exist "metroidx.ips" goto ABORT
if not exist "ucon.exe" goto ABORT
goto PATCH

:PATCH
echo All files ready. Installing this patch will permanently alter
echo your Metroid ROM.
choice Are you sure you want to proceed
if errorlevel 2 goto END
ucon i metroid.nes metroidx.ips
cls
echo Your Metroid ROM is now patched with the Metroid X edit. Run
echo the ROM in any NES emulator to play. If you encounter problems,
echo go to http://www.classicgaming.com/ragegames for help.
goto END

:ABORT
echo 
echo Please place any missing files in the same directory as this .BAT file.
echo Ensure the files are named properly.
echo If they are in .ZIP files, be sure to extract them first!
echo View METROIDX.TXT for further help.
echo 
echo Visit http://www.classicgaming.com/ragegames/ to get UCON.EXE or METROIDX.IPS.
echo NOTE: Rage Games will NOT respond to requests for METROID.NES.
echo 
echo Aborting patch process.
echo 

:END
echo Exiting Installer.
